Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.skin
Interface Skin

    public interface Skin

Main interface for configurable parameters.

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/01/09 18:59:43 $
Author:
  asmirnov@exadel.com (latest modification by $Author: alexsmirnov $)

Nested Class Summary
`static interface` | `Skin.Preferable` Preferable parameters names for skin ( in common, for Preferable.Name parameter will PreferableName )

Field Summary
`static java.lang.String` | `ACTIVETAB_STYLE_FONT` Style of the text displaying on the active (selected) tabs.Default value normal.
`static java.lang.String` | `ACTIVETAB_WEIGHT_FONT` Depth of the text displaying on the active (selected) tabs.Default value bold.
`static java.lang.String` | `ADDITIONAL_BACKGROUND_COLOR`
`static java.lang.String` | `BASE_SKIN`
`static java.lang.String` | `BUTTON_FAMILY_FONT` Font name for displaying buttons titles.
`static java.lang.String` | `BUTTON_RADIUS_CORNER` Rounding-off radius of the buttons corners.
`static java.lang.String` | `BUTTON_SIZE_FONT` Font size for displaying buttons titles.
`static java.lang.String` | `BUTTON_STYLE_FONT` Style of the text displaying on the button.
`static java.lang.String` | `BUTTON_WEIGHT_FONT` Depth of the text displaying on the button.
`static java.lang.String` | `CONTROL_BACKGROUND_COLOR`
`static java.lang.String` | `CONTROL_BORDER_COLOR` Responsible for the borders color of the radiobutton and checkbox and color of light part of the fields and text area border.
`static java.lang.String` | `DISABLED_TAB_STYLE_FONT` Style of the text displaying on the disabled tabs.Default value normal.
`static java.lang.String` | `DISABLED_TAB_WEIGHT_FONT` Depth of the text displaying on the disabled tabs.Default value normal.
`static java.lang.String` | `EXTENDED_STYLE_SHEET` used for define url with extended CSS file for current skin.
`static java.lang.String` | `GENERAL_BACKGROUND_COLOR` used for defining the background color of the basic area of the panel and tabpanels, background color of the dropdown list boxes of ddmenu.
`static java.lang.String` | `GENERAL_LINK_COLOR`
`static java.lang.String` | `GENERAL_SIZE_FONT`
`static java.lang.String` | `GENERAL_STYLE_SHEET` used for define url with general CSS file for current skin.
`static java.lang.String` | `GENERAL_TEXT_COLOR` used for defining color of the basic text, color of the text in the dropdown list boxes of ddmenu, color of the right and top borders for the controls like text, textArea, secret.
`static java.lang.String` | `GRADIENT_TYPE`
`static java.lang.String` | `HEADER_BACKGROUND_COLOR` used for defining a header background color in the panel, a tabpanel active tab background color, a bar background color for ddmenu, tables background color, buttons background color.
`static java.lang.String` | `HEADER_FAMILY_FONT` Font name for the displaying panels headers and top level of the ddmenu.Default value Arial, Verdana.
`static java.lang.String` | `HEADER_GRADIENT_COLOR`
`static java.lang.String` | `HEADER_SIZE_FONT` Font size for the displaying panels headers and top level of the ddmenu.
`static java.lang.String` | `HEADER_TEXT_COLOR` used for defining color of the titles of the top level of the menu, the panel header color, the table header color, color of the title of the active tab in the tabpanel, color of the title on the buttons.
`static java.lang.String` | `INTERFACE_LEVEL_3D` Parameter responsible for 3D Look of panels and buttons.
`static java.lang.String` | `LOAD_STYLE_SHEETS`
`static java.lang.String` | `OVER_ALL_BACKGROUND`
`static java.lang.String` | `PANEL_RADIUS_CORNER` Rounding-off radius of the panels corners.
`static java.lang.String` | `PANEL_TEXT_COLOR`
`static java.lang.String` | `PREFERABLE_TAB_POSITION` defines the layout of the tabs in the panel.
`static java.lang.String` | `PREFERABLE_TAB_TEXT_DIRECTION` text aligning in the tabs with the fixed tab length (hight).
`static java.lang.String` | `PREFERABLE_TAB_TEXT_ORIENTATION` defines the variant of text writing.
`static java.lang.String` | `SELECT_BACKGROUND_COLOR` used for defining the background color of the bar under the header in the panel and the tabpanel, color of the border for the top level of the ddmenu, background highlight color of the selected item in the dropdown list boxes of the ddmenu, background color of the footer in the tables, color of the text for the inactive and disabled tab in the tabpanel, color of the border of the buttons.
`static java.lang.String` | `SELECT_CONTROL_COLOR` Color for selected checkbox or selectOneRadio.
`static java.lang.String` | `SHADOW_BACKGROUND_COLOR` used for defining shadow background color of the panels, color of the bottom and right borders for the dropdown list box in ddmenu.
`static java.lang.String` | `SHADOW_OPACITY` used for defining the seamlessness of the tip shadow.
`static java.lang.String` | `TAB_BACKGROUND_COLOR`
`static java.lang.String` | `TAB_FAMILY_FONT` Font name for displaying tab titles.
`static java.lang.String` | `TAB_RADIUS_CORNER` Rounding-off radius of the tabs corners.
`static java.lang.String` | `TAB_SIZE_FONT` Font size for displaying tab titles.
`static java.lang.String` | `TAB_STYLE_FONT` Style of of the text displaying on the inactive (unselected) tabs.
`static java.lang.String` | `TAB_WEIGHT_FONT` Depth of the text displaying on the inactive (unselected) tabs.Default value normal.
`static java.lang.String` | `TABLE_BACKGROUND_COLOR` used for defining tables and controls background color.
`static java.lang.String` | `TABLE_BORDER_COLOR` used for defining tables border color, color of the bottom and left controls like text, textArea, secret, color of the top and left borders for the dropdown list box in the ddmenu.
`static java.lang.String` | `TRIM_COLOR`

Method Summary
`boolean` | `containsProperty(java.lang.String name)`
`java.lang.Integer` | `getColorParameter(javax.faces.context.FacesContext context, java.lang.String name)` Get value for configuration parameter & interpret it as color string.
`java.lang.Integer` | `getColorParameter(javax.faces.context.FacesContext context, java.lang.String name, java.lang.Object defaultValue)` Get value for configuration parameter & interpret it as color string.
`java.lang.Integer` | `getIntegerParameter(javax.faces.context.FacesContext context, java.lang.String name)`
`java.lang.Integer` | `getIntegerParameter(javax.faces.context.FacesContext context, java.lang.String name, java.lang.Object defaultValue)`
`java.lang.String` | `getName()`
`java.lang.Object` | `getParameter(javax.faces.context.FacesContext context, java.lang.String name)` Get value for configuration parameter.
`java.lang.Object` | `getParameter(javax.faces.context.FacesContext context, java.lang.String name, java.lang.Object defaultValue)` Get value for configuration parameter.
`int` | `hashCode(javax.faces.context.FacesContext context)` Calculate unique ( as possible ) code to identity this skin instance.

Field Detail

### ACTIVETAB_STYLE_FONT

    static final java.lang.String ACTIVETAB_STYLE_FONT

  Style of the text displaying on the active (selected) tabs.Default value normal.

  See Also:
    Constant Field Values

### ACTIVETAB_WEIGHT_FONT

    static final java.lang.String ACTIVETAB_WEIGHT_FONT

  Depth of the text displaying on the active (selected) tabs.Default value bold.

  See Also:
    Constant Field Values

### ADDITIONAL_BACKGROUND_COLOR

    static final java.lang.String ADDITIONAL_BACKGROUND_COLOR

See Also:
  Constant Field Values

### BASE_SKIN

    static final java.lang.String BASE_SKIN

See Also:
  Constant Field Values

### BUTTON_FAMILY_FONT

    static final java.lang.String BUTTON_FAMILY_FONT

  Font name for displaying buttons titles. Default value Arial, Verdana.

  See Also:
    Constant Field Values

### BUTTON_RADIUS_CORNER

    static final java.lang.String BUTTON_RADIUS_CORNER

  Rounding-off radius of the buttons corners. Default value 13px.

  See Also:
    Constant Field Values

### BUTTON_SIZE_FONT

    static final java.lang.String BUTTON_SIZE_FONT

  Font size for displaying buttons titles. Default value 11px.

  See Also:
    Constant Field Values

### BUTTON_STYLE_FONT

    static final java.lang.String BUTTON_STYLE_FONT

  Style of the text displaying on the button. Default value normal.

  See Also:
    Constant Field Values

### BUTTON_WEIGHT_FONT

    static final java.lang.String BUTTON_WEIGHT_FONT

  Depth of the text displaying on the button. Default value bold.

  See Also:
    Constant Field Values

### CONTROL_BACKGROUND_COLOR

    static final java.lang.String CONTROL_BACKGROUND_COLOR

See Also:
  Constant Field Values

### CONTROL_BORDER_COLOR

    static final java.lang.String CONTROL_BORDER_COLOR

  Responsible for the borders color of the radiobutton and checkbox and color of light part of the fields and text area border. Default value #B0B0B0.

  See Also:
    Constant Field Values

### DISABLED_TAB_STYLE_FONT

    static final java.lang.String DISABLED_TAB_STYLE_FONT

  Style of the text displaying on the disabled tabs.Default value normal.

  See Also:
    Constant Field Values

### DISABLED_TAB_WEIGHT_FONT

    static final java.lang.String DISABLED_TAB_WEIGHT_FONT

  Depth of the text displaying on the disabled tabs.Default value normal.

  See Also:
    Constant Field Values

### EXTENDED_STYLE_SHEET

    static final java.lang.String EXTENDED_STYLE_SHEET

  used for define url with extended CSS file for current skin.

  See Also:
    Constant Field Values

### GENERAL_BACKGROUND_COLOR

    static final java.lang.String GENERAL_BACKGROUND_COLOR

  used for defining the background color of the basic area of the panel and tabpanels, background color of the dropdown list boxes of ddmenu. Default value #BFD7E4.

  See Also:
    Constant Field Values

### GENERAL_LINK_COLOR

    static final java.lang.String GENERAL_LINK_COLOR

See Also:
  Constant Field Values

### GENERAL_SIZE_FONT

    static final java.lang.String GENERAL_SIZE_FONT

See Also:
  Constant Field Values

### GENERAL_STYLE_SHEET

    static final java.lang.String GENERAL_STYLE_SHEET

  used for define url with general CSS file for current skin.

  See Also:
    Constant Field Values

### GENERAL_TEXT_COLOR

    static final java.lang.String GENERAL_TEXT_COLOR

  used for defining color of the basic text, color of the text in the dropdown list boxes of ddmenu, color of the right and top borders for the controls like text, textArea, secret. Default value #000000.

  See Also:
    Constant Field Values

### GRADIENT_TYPE

    static final java.lang.String GRADIENT_TYPE

See Also:
  Constant Field Values

### HEADER_BACKGROUND_COLOR

    static final java.lang.String HEADER_BACKGROUND_COLOR

  used for defining a header background color in the panel, a tabpanel active tab background color, a bar background color for ddmenu, tables background color, buttons background color. Default value #1D7DB3.

  See Also:
    Constant Field Values

### HEADER_FAMILY_FONT

    static final java.lang.String HEADER_FAMILY_FONT

  Font name for the displaying panels headers and top level of the ddmenu.Default value Arial, Verdana.

  See Also:
    Constant Field Values

### HEADER_GRADIENT_COLOR

    static final java.lang.String HEADER_GRADIENT_COLOR

See Also:
  Constant Field Values

### HEADER_SIZE_FONT

    static final java.lang.String HEADER_SIZE_FONT

  Font size for the displaying panels headers and top level of the ddmenu. Default value 12px.

  See Also:
    Constant Field Values

### HEADER_TEXT_COLOR

    static final java.lang.String HEADER_TEXT_COLOR

  used for defining color of the titles of the top level of the menu, the panel header color, the table header color, color of the title of the active tab in the tabpanel, color of the title on the buttons. Default value #FFFFFF.

  See Also:
    Constant Field Values

### INTERFACE_LEVEL_3D

    static final java.lang.String INTERFACE_LEVEL_3D

  Parameter responsible for 3D Look of panels and buttons.

  See Also:
    Constant Field Values

### LOAD_STYLE_SHEETS

    static final java.lang.String LOAD_STYLE_SHEETS

See Also:
  Constant Field Values

### OVER_ALL_BACKGROUND

    static final java.lang.String OVER_ALL_BACKGROUND

See Also:
  Constant Field Values

### PANEL_RADIUS_CORNER

    static final java.lang.String PANEL_RADIUS_CORNER

  Rounding-off radius of the panels corners. Default value 5px.

  See Also:
    Constant Field Values

### PANEL_TEXT_COLOR

    static final java.lang.String PANEL_TEXT_COLOR

See Also:
  Constant Field Values

### PREFERABLE_TAB_POSITION

    static final java.lang.String PREFERABLE_TAB_POSITION

  defines the layout of the tabs in the panel. Possible values Top. Left. Bottom, Right. Default value ???.

  See Also:
    Constant Field Values

### PREFERABLE_TAB_TEXT_DIRECTION

    static final java.lang.String PREFERABLE_TAB_TEXT_DIRECTION

  text aligning in the tabs with the fixed tab length (hight). Values Left, Center,Right for the horizontal oriented tabs, values Top, center, Bottom - for vertical oriented tabs. Default value center.

  See Also:
    Constant Field Values

### PREFERABLE_TAB_TEXT_ORIENTATION

    static final java.lang.String PREFERABLE_TAB_TEXT_ORIENTATION

  defines the variant of text writing. Values - Hor (horisontal position), Vert (vertical position - letters are arranged into column), VertCW (vertical position with text rotation anticlockwise). Default value Hor.

  See Also:
    Constant Field Values

### SELECT_BACKGROUND_COLOR

    static final java.lang.String SELECT_BACKGROUND_COLOR

  used for defining the background color of the bar under the header in the panel and the tabpanel, color of the border for the top level of the ddmenu, background highlight color of the selected item in the dropdown list boxes of the ddmenu, background color of the footer in the tables, color of the text for the inactive and disabled tab in the tabpanel, color of the border of the buttons. Default value #BFD7E4.

  See Also:
    Constant Field Values

### SELECT_CONTROL_COLOR

    static final java.lang.String SELECT_CONTROL_COLOR

  Color for selected checkbox or selectOneRadio.

  See Also:
    Constant Field Values

### SHADOW_BACKGROUND_COLOR

    static final java.lang.String SHADOW_BACKGROUND_COLOR

  used for defining shadow background color of the panels, color of the bottom and right borders for the dropdown list box in ddmenu. Default value #AFB1B2.

  See Also:
    Constant Field Values

### SHADOW_OPACITY

    static final java.lang.String SHADOW_OPACITY

  used for defining the seamlessness of the tip shadow. Default value 2.

  See Also:
    Constant Field Values

### TABLE_BACKGROUND_COLOR

    static final java.lang.String TABLE_BACKGROUND_COLOR

  used for defining tables and controls background color. Default value #FFFFFF.

  See Also:
    Constant Field Values

### TABLE_BORDER_COLOR

    static final java.lang.String TABLE_BORDER_COLOR

  used for defining tables border color, color of the bottom and left controls like text, textArea, secret, color of the top and left borders for the dropdown list box in the ddmenu. Default value #CCCCCC.

  See Also:
    Constant Field Values

### TAB_FAMILY_FONT

    static final java.lang.String TAB_FAMILY_FONT

  Font name for displaying tab titles. Default value Arial, Verdana.

  See Also:
    Constant Field Values

### TAB_RADIUS_CORNER

    static final java.lang.String TAB_RADIUS_CORNER

  Rounding-off radius of the tabs corners. Default value 5px.

  See Also:
    Constant Field Values

### TAB_SIZE_FONT

    static final java.lang.String TAB_SIZE_FONT

  Font size for displaying tab titles. Default value 11px.

  See Also:
    Constant Field Values

### TAB_STYLE_FONT

    static final java.lang.String TAB_STYLE_FONT

  Style of of the text displaying on the inactive (unselected) tabs. Default value normal.

  See Also:
    Constant Field Values

### TAB_WEIGHT_FONT

    static final java.lang.String TAB_WEIGHT_FONT

  Depth of the text displaying on the inactive (unselected) tabs.Default value normal.

  See Also:
    Constant Field Values

### TAB_BACKGROUND_COLOR

    static final java.lang.String TAB_BACKGROUND_COLOR

See Also:
  Constant Field Values

### TRIM_COLOR

    static final java.lang.String TRIM_COLOR

See Also:
  Constant Field Values

Method Detail

### getParameter

    java.lang.Object getParameter(javax.faces.context.FacesContext context,
                                  java.lang.String name)

  Get value for configuration parameter. If parameter set as EL-expression, calculate it value.

  Parameters:
    `context` - - `FacesContext` for current request.
    `name` - name of parameter.
  Returns:
    value of parameter in config, or null

### getParameter

    java.lang.Object getParameter(javax.faces.context.FacesContext context,
                                  java.lang.String name,
                                  java.lang.Object defaultValue)

  Get value for configuration parameter. If parameter set as EL-expression, calculate it value.

  Parameters:
    `context` - - `FacesContext` for current request.
    `name` - name of paremeter.
    `defaultValue` - - default value if parameter not present in Skin
  Returns:
    value of parameter in config, or null

### getColorParameter

    java.lang.Integer getColorParameter(javax.faces.context.FacesContext context,
                                        java.lang.String name)

  Get value for configuration parameter & interpret it as color string. If parameter set as EL-expression, calculate it value.

  Parameters:
    `context` - - `FacesContext` for current request.
    `name` - name of parameter.
  Returns:
    value of parameter in config, or null
  Since:
    4.0.M1

### getColorParameter

    java.lang.Integer getColorParameter(javax.faces.context.FacesContext context,
                                        java.lang.String name,
                                        java.lang.Object defaultValue)

  Get value for configuration parameter & interpret it as color string. If parameter set as EL-expression, calculate it value.

  Parameters:
    `context` - - `FacesContext` for current request.
    `name` - name of parameter.
    `defaultValue` - - default value if parameter not present in Skin
  Returns:
  Since:
    4.0.M1

### getIntegerParameter

    java.lang.Integer getIntegerParameter(javax.faces.context.FacesContext context,
                                          java.lang.String name)

### getIntegerParameter

    java.lang.Integer getIntegerParameter(javax.faces.context.FacesContext context,
                                          java.lang.String name,
                                          java.lang.Object defaultValue)

### containsProperty

    boolean containsProperty(java.lang.String name)

  Parameters:
    `name` -
  Returns:

### hashCode

    int hashCode(javax.faces.context.FacesContext context)

  Calculate unique ( as possible ) code to identity this skin instance. Used for generate hash key in skin-depended resources

  Parameters:
    `context` -
  Returns:

### getName

    java.lang.String getName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.